<?php declare(strict_types=1);

namespace Plugin\css_zubehoer\Migrations;

use JTL\Helpers\Text;
use JTL\Plugin\PluginInterface;
use JTL\Shop;
use JTL\Mail\Mail\Mail;
use JTL\Mail\Mailer;


use JTL\Plugin\Migration;
use JTL\Update\IMigration;


class Migration20220818123301 extends Migration implements IMigration   {
    /**
     * @inheritdoc
     */

    /*
    define('JTLLOG_LEVEL_EMERGENCY', 600);
    define('JTLLOG_LEVEL_ALERT', 550);
    define('JTLLOG_LEVEL_CRITICAL', 500);
    define('JTLLOG_LEVEL_ERROR', 400);
    define('JTLLOG_LEVEL_WARNING', 300);
    define('JTLLOG_LEVEL_NOTICE', 250);
    define('JTLLOG_LEVEL_INFO', 200);
    define('JTLLOG_LEVEL_DEBUG', 100);
*/

    public function JTLWriteLog($cLog='',$nLevel=JTLLOG_LEVEL_INFO ,$bForce=false) {
        if (\mb_strlen($cLog) > 0 && ($bForce || \Jtllog::getSytemlogFlag(false))) {
            $logger = Shop::Container()->getLogService();
            $logger = $logger->withName((string) "css_zubehoerConfig");
            $logger->log($nLevel, $cLog, ["css_zubehoerConfig"]);
            return true;
        }
        return false;
    }

    public function up()    {
        $this->execute("
              ALTER TABLE `css_zubehoerConfig` ADD `bundleMobileImage` CHAR(2) NOT NULL DEFAULT 'N' 
        ");



        if($result === null || count($result) < 1) {
           $this->execute(
            "INSERT INTO `css_zubehoerConfig` (`version`) VALUES ('2.0.3')"
            );
        } else {
            $this->execute("UPDATE css_zubehoerConfig set `version` = '2.0.3' ");
        }
    }

    /**
     * @inheritdoc
     */
    public function down() {
    }
}
